@echo off
set MY_PATH=%~dp0
if "%MY_PATH%"=="" set MY_PATH=.\
for /f "delims== usebackq tokens=1,2" %%G in ("%MY_PATH%tool-path.txt") do set %%G=%%H
set TOOL_PATH=%MY_PATH%%COIA_PATH%
echo COIA batch: Start CANcrypt, here group 2,3,7
if -%2-==-- echo Use CcGo SerialPort CANcryprtDeviceID
if -%2-==-- goto:eof
echo COIA Activate CANcrypt, ignore sec list, device ID %2
"%TOOL_PATH%\COIA.exe" -p %1 -w 0x5EF0,5,2,0x0006 -w 0x5EF0,6,2,0x0082 -w 0x5EF0,3,1,0x20 -w 0x5eF0,2,1,%2
echo COIA batch CcGo: end
